<script lang="ts">
  import SuitIcon from "../../icons/SuitIcon.svelte";

  export let suit: Suit;
</script>

<div class="wrapper">
  <div class="col">
    <div class="icon icon-1"><SuitIcon {suit} /></div>
    <div class="icon icon-2"><SuitIcon {suit} /></div>
    <div class="icon icon-3"><SuitIcon {suit} /></div>
  </div>
  <div class="col col-2">
    <div class="icon icon-4"><SuitIcon {suit} /></div>
    <div class="icon icon-5"><SuitIcon {suit} /></div>
  </div>
  <div class="col">
    <div class="icon icon-6"><SuitIcon {suit} /></div>
    <div class="icon icon-7"><SuitIcon {suit} /></div>
    <div class="icon icon-8"><SuitIcon {suit} /></div>
  </div>
</div>

<style>
  .wrapper {
    display: flex;
    justify-content: space-evenly;
    height: 100%;
  }
  .col {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    height: 100%;
  }
  .col-2 {
    justify-content: space-evenly;
  }
  .icon {
    transform: scale(1.75);
  }
  .icon-3,
  .icon-5,
  .icon-8 {
    transform: scale(1.75) rotate(180deg);
  }
</style>
